Internet explorer and broadband

  TelH 12:09 21 Nov 2005
Locked

I am trying to connect a desktop pc to BT broadband with voyager 2091 router. When I try to load the software it says I am not running the latest version of explorer. It says click to install and it will upgrade my explorer. When I do this it says it has detected a newer version and cannot continue. I far as I can see I only have one version installed which is version 6.0.2800. BT can’t seem to help. I also note that if I go to control panels and look at program to install or remove internet explorer does not appear.
I am running XP on a Packard bell machine.

Any suggestion please

thanks

  recap 12:33 21 Nov 2005

There is versioin 6.0.2900 with 128 bit encryption out, you may want to download the latest version: click here

This thread is now locked and can not be replied to.

Elsewhere on IDG sites

iMac Pro review

Illustrator Charles Williams on how to create magazines and book covers

iMac Pro review

Les meilleures prises CPL (2018)